Package org.lwjgl.opengl

# Class ARBDrawElementsBaseVertex

java.lang.Object
org.lwjgl.opengl.ARBDrawElementsBaseVertex

public final class ARBDrawElementsBaseVertex extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDrawElementsBaseVertex(int mode, int indices_count, int type, long indices_buffer_offset, int basevertex)`
`static void`
`glDrawElementsBaseVertex(int mode, ByteBuffer indices, int basevertex)`
`static void`
`glDrawElementsBaseVertex(int mode, IntBuffer indices, int basevertex)`
`static void`
`glDrawElementsBaseVertex(int mode, ShortBuffer indices, int basevertex)`
`static void`
`glDrawElementsInstancedBaseVertex(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int basevertex)`
`static void`
`glDrawElementsInstancedBaseVertex(int mode, ByteBuffer indices, int primcount, int basevertex)`
`static void`
`glDrawElementsInstancedBaseVertex(int mode, IntBuffer indices, int primcount, int basevertex)`
`static void`
`glDrawElementsInstancedBaseVertex(int mode, ShortBuffer indices, int primcount, int basevertex)`
`static void`
`glDrawRangeElementsBaseVertex(int mode, int start, int end, int indices_count, int type, long indices_buffer_offset, int basevertex)`
`static void`
`glDrawRangeElementsBaseVertex(int mode, int start, int end, ByteBuffer indices, int basevertex)`
`static void`
`glDrawRangeElementsBaseVertex(int mode, int start, int end, IntBuffer indices, int basevertex)`
`static void`
`glDrawRangeElementsBaseVertex(int mode, int start, int end, ShortBuffer indices, int basevertex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### glDrawElementsBaseVertex

public static void glDrawElementsBaseVertex(int mode, ByteBuffer indices, int basevertex)

### glDrawElementsBaseVertex

public static void glDrawElementsBaseVertex(int mode, IntBuffer indices, int basevertex)

### glDrawElementsBaseVertex

public static void glDrawElementsBaseVertex(int mode, ShortBuffer indices, int basevertex)

### glDrawElementsBaseVertex

public static void glDrawElementsBaseVertex(int mode, int indices_count, int type, long indices_buffer_offset, int basevertex)

### glDrawRangeElementsBaseVertex

public static void glDrawRangeElementsBaseVertex(int mode, int start, int end, ByteBuffer indices, int basevertex)

### glDrawRangeElementsBaseVertex

public static void glDrawRangeElementsBaseVertex(int mode, int start, int end, IntBuffer indices, int basevertex)

### glDrawRangeElementsBaseVertex

public static void glDrawRangeElementsBaseVertex(int mode, int start, int end, ShortBuffer indices, int basevertex)

### glDrawRangeElementsBaseVertex

public static void glDrawRangeElementsBaseVertex(int mode, int start, int end, int indices_count, int type, long indices_buffer_offset, int basevertex)

### glDrawElementsInstancedBaseVertex

public static void glDrawElementsInstancedBaseVertex(int mode, ByteBuffer indices, int primcount, int basevertex)

### glDrawElementsInstancedBaseVertex

public static void glDrawElementsInstancedBaseVertex(int mode, IntBuffer indices, int primcount, int basevertex)

### glDrawElementsInstancedBaseVertex

public static void glDrawElementsInstancedBaseVertex(int mode, ShortBuffer indices, int primcount, int basevertex)

### glDrawElementsInstancedBaseVertex

public static void glDrawElementsInstancedBaseVertex(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int basevertex)